//
//  PersonDetailView.swift
//  FirstAppSwiftUI
//
//  Created by Roman Vyjídáček on 16.03.2023.
//

import SwiftUI

struct PersonDetailView: View {
    
    @State var personName: String = "Tomas Marny"
    
    var body: some View {
        VStack {
            Text("Person Name:")
                .font(.title2.bold())
                .frame(maxWidth: .infinity, alignment: .leading)
                .padding(EdgeInsets(top: 0,
                                    leading: 0,
                                    bottom: 5,
                                    trailing: 0))
            
            Text(personName)
                .font(.body)
                .frame(maxWidth: .infinity, alignment: .leading)
            
            Spacer()
        }
        .padding()
        .navigationTitle("Person Detail")
    }
}

struct PersonDetailView_Previews: PreviewProvider {
    static var previews: some View {
        NavigationView {
            PersonDetailView()
        }
    }
}
